:root{
    --main-text-color: rgb(255,255,255);
}

body {
    color: white;
    margin: 0;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 1.5rem;
    /*kaasislekkerkutenpizzaisookheellekkernomatterwhatyousay*/
    /* overflow: hidden; */
}

#nav_bar {
    z-index: 2;
    position: relative;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100vw;
    /* height: 70px; */
    height: 8vh;
    background-color: rgb(29, 28, 28);
    /* border: 1px solid black; */
    font-size: xx-large;
    /* border-bottom: solid 1px black */
}

#titel_navbar {
    margin-left: auto;
    margin-right: auto;
}

#menu {
    position: absolute;
    width: 40px;
    height: 40px;
    margin-left: 30px;
    display: flex;
    flex-direction: column;
    gap: 7px;
    justify-content: center;
    cursor: pointer;
}

.menu_bar {
    width: 100%;
    height: 7px;
    background-color: rgb(121, 121, 121);;
}

#bar_screen {
    cursor: po;
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
    
    margin-top: 10px;
    margin-left: 5px;
    width: 100%;
    height: 230px;
    display: none;
    padding-top: 10px;
    border-radius: 15px;

    a {
        text-decoration: none;
        color: white;
    }

    a:hover {
        text-decoration: underline;
    }
}

#bar_screentext {
    color: white;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    font-size: 30px;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    border: 1px solid rgba(171, 161, 161, 0.25);
    border-radius: 15px;;
}

#bar1 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar2 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

#bar3 {
    animation-name: none;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: ease;
}

.main_layout {
    display: flex;
    flex-direction: row;
}

.left_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    background: linear-gradient(-90deg, rgb(5, 5, 5) 10%, rgb(5, 5, 63) 60%);
    /* background-color: rgb(5, 5, 63); */
}

.middle_window {
    overflow: scroll;
    width: 70vw;
    height: 92vh;
    border: 1px solid black;
    background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
    /* animation: moving-background 10s infinite ease-in-out; */
}

/* @keyframes moving-background{
    0% {
        background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
        transition: 1s;
    }

    50% {
        background: radial-gradient(circle, rgb(40, 36, 36) 50%, black 92%);
        transition: 1s;
    }

    100% {
        background: radial-gradient(circle, rgb(40, 36, 36) 8%, black 92%);
        transition: 1s;
    }
} */

#title {
    text-align: center;
}

#tekst1_0 {
    justify-self: center;
    width: 56vw;
    height: 10vh;
    text-align: center;
}

.white1_0 {
    /* ik ben een wit blokje hihihi */
    /* feitje: sommige witte blokjes zijn leugenaars */
    background-color: black;
    justify-self: center;
    width: 66vw;
    height: 20vh;
    opacity: 0%;
}
.tekst_with_pic1_0 {
    display: flex;
    flex-direction: column;
    justify-self: center;
    align-items: center;
    width: 66vw;
    height: 550px;
    margin-top: 130px;
}

.tekst_with_pic_improved {
    display: flex;
    flex-direction: column;
    justify-self: center;
    align-items: center;
    width: 66vw;
    height: auto;
}

.between_page {
    margin-top: 200px;
}

.tekst1_1 {
    width: 45vw;
    height: 4vh;
    text-align: center;
    text-decoration: underline;
    font-weight: bold;
}

.beschrijving {
    margin-left: auto;
    margin-right: auto;
    width: 45vw;
}

.anim_two {
    display: flex;
    align-items: end;
    width: 46vw;
    height: 24vw;
    margin-top: 15px;
    color: black;
}

.pic1_0 {
    width: 28vw;
    height: 30vh;
    background-color: white;
    color: black;
}

#tekst_with_pic1_1 {
    display: flex;
    justify-self: center;
    justify-content: space-between;
    width: 66vw;
    height: 45vh;
}

#voor_info_page {
    text-align: center;
    margin-top: 150px;
}

#tekst1_2 {
    width: 35vw;
    height: 30vh;
}

.pic1_1 {
    width: 30vw;
    height: 26vh;
    
}

#box_voor_button{
    width: 66vw;
    height: 15vh;
    display: flex;
    justify-self: center;
    justify-content: center;
}

#de_knop {
    margin-top: 50px;
    width: 20vw;
    height: 3vh;
}

#bronnen_titel {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 80px;
}

#bronnen {
    margin-left: auto;
    margin-right: auto;
    width: 70%;
    height: 250px;
}

#bronnen_tekst li {
    margin-top: 10px;
}


.right_bar {
    width: 15vw;
    height: 92vh;
    border: 1px solid black;
    /* background-color: red; */
    background: linear-gradient(90deg, rgb(5, 5, 5) 10%, #72090d 60%);
}




/* animaties menu van navigatiebar */

@keyframes bar_on1 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: 45deg;
        translate: 0px 16px;
    }
}

@keyframes bar_on2 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes bar_on3 {
    0% {
        rotate: 0;
        translate: 0px 0px;
    }

    100% {
        rotate: -45deg;
        translate: 0px -12px;
    }
}



@keyframes bar_off1 {
    0% {
        rotate: 45deg;
        translate: 0px 16px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}

@keyframes bar_off2 {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes bar_off3 {
    0% {
        rotate: -45deg;
        translate: 0px -12px;
    }

    100% {
        rotate: 0deg;
        translate: 0px 0px;
    }
}



.star{
    position: absolute;
    aspect-ratio: 1;
    background-color: white;
    border-radius: 50%;
    z-index: 0;
}



.update_thing{
    z-index: 1;
    position: relative;
    width: 80%;
    height: fit-content;
    padding: 20px 25px 20px 50px;
    border-radius: 20px;
    background-color: rgb(84, 84, 84);
    justify-self: center;
    margin-top: 30px;
    margin-bottom: 60px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    
    box-shadow: 0px 0px 30px 0px rgba(188, 188, 188, 0.75);
}
.update-text{
    padding: 10px;
}
